using UnityEngine;
using NeonTea.Quakeball.TeaNet.Packets;

namespace NeonTea.Quakeball.Networking.Packets {
    public class SpawnPckt : Packet {

        public ulong PlayerId;
        public Vector3 Location;
        public bool IsInitial;

        public SpawnPckt() { }

        public SpawnPckt(Vector3 location, ulong id = 0, bool isinitial = true) {
            PlayerId = id;
            Location = location;
            IsInitial = isinitial;
        }

        public override void Read(ByteBuffer buffer) {
            Location = buffer.ReadVector3();
            PlayerId = buffer.ReadULong();
            IsInitial = buffer.ReadBool();
        }

        public override void Write(ByteBuffer buffer) {
            buffer.Write(Location);
            buffer.Write(PlayerId);
            buffer.Write(IsInitial);
        }
    }
}